﻿using KB8495_SampleApp1.Infrastructure;
using System;

namespace KB8495_SampleApp1.Model
{
    internal class Person : ObservableObject
    {
        private int _id;

        public int ID
        {
            get { return _id; }
            set { _id = value; OnPropertyChanged(); }
        }

        private String _familyName;

        public String FamilyName
        {
            get { return _familyName; }
            set { _familyName = value; OnPropertyChanged(); }
        }

        private String _givenName;

        public String GivenName
        {
            get { return _givenName; }
            set { _givenName = value; OnPropertyChanged(); }
        }

        private String _prefecture;

        public String Prefecture
        {
            get { return _prefecture; }
            set { _prefecture = value; OnPropertyChanged(); }
        }

        private String _city;

        public String City
        {
            get { return _city; }
            set { _city = value; OnPropertyChanged(); }
        }

        public Person()
        {

        }
    }
}
